Debian Bug report logs - #400634
manpages-dev: strerror is ANSI/ISO as well as POSIX

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Reuben Thomas <rrt@sc3d.org>

Date: Mon, 27 Nov 2006 18:48:15 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.39-1

Fixed in version manpages/2.43-0

Done: Florian Ernst <florian_ernst@gmx.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#400634; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: strerror is ANSI/ISO as well as POSIX
Date: Mon, 27 Nov 2006 17:57:53 +0000
Package: manpages-dev
Version: 2.39-1
Severity: minor

Under "CONFORMING TO", you should mention the ISO/ANSI C standards, as
strerror is a C89/99 function too.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.39-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#400634; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 400634@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Reuben Thomas <rrt@sc3d.org>, 400634@bugs.debian.org, debc <control@bugs.debian.org>
Subject: Re: Bug#400634: manpages-dev: strerror is ANSI/ISO as well as POSIX
Date: Mon, 27 Nov 2006 20:25:15 -0800
tags 400634 fixed-upstream
thanks


Reuben,

> Under "CONFORMING TO", you should mention the ISO/ANSI C standards, as
> strerror is a C89/99 function too.


I've added "C99" to the list, for man-pages 2.43.

Thanks!

Michael




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Florian Ernst <florian_ernst@gmx.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@sc3d.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 400634-done@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: 400634-done@bugs.debian.org
Subject: Re: Bug#400634: manpages-dev: strerror is ANSI/ISO as well as POSIX
Date: Thu, 14 Jun 2007 18:57:33 +0200
[Message part 1 (text/plain, inline)]
Package: manpages-dev
Version: 2.43-0

Hello Reuben, hello Joey,

On Mon, Nov 27, 2006 at 08:25:15PM -0800, Michael Kerrisk wrote:
> Reuben,
> 
> > Under "CONFORMING TO", you should mention the ISO/ANSI C standards, as
> > strerror is a C89/99 function too.
> 
> 
> I've added "C99" to the list, for man-pages 2.43.

Confirmed, so closing this bug now. For reference please see
<http://cvs.infodrom.org/manpages/man3/strerror.3.diff?r1=1.1.1.10;r2=1.1.1.11;cvsroot=debian>.

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2007 07:42:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:55:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.